## org.red5.io.object
Class BaseOutput

    java.lang.Object
      org.red5.io.object.BaseOutput

Direct Known Subclasses:
  Output, Output

    public class BaseOutput

extends Object

BaseOutput represents a way to map input to a HashMap. This class is meant to be extended.

Author:
  The Red5 Project (red5@osflash.org), Luke Hubbard, Codegent Ltd (luke@codegent.com)

Field Summary
`protected short` `refId` Reference id
`protected Map<org.red5.io.object.BaseOutput.IdentityWrapper,Short>` `refMap` References map

Constructor Summary
`protected` `BaseOutput()` BaseOutput Constructor

Method Summary
`void` `clearReferences()` Clears the map
`protected short` `getReferenceId(Object obj)` Returns the reference id based on the parameter obj
`protected boolean` `hasReference(Object obj)` Returns a boolean stating whether the map contains an object with that key
`protected void` `storeReference(Object obj)` Store an object into a map

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### refMap

    protected Map<org.red5.io.object.BaseOutput.IdentityWrapper,Short> refMap

  References map

### refId

    protected short refId

  Reference id

Constructor Detail

### BaseOutput

    protected BaseOutput()

  BaseOutput Constructor

Method Detail

### storeReference

    protected void storeReference(Object obj)

  Store an object into a map

  Parameters:
    `obj` - Object to store

### hasReference

    protected boolean hasReference(Object obj)

  Returns a boolean stating whether the map contains an object with that key

  Parameters:
    `obj` - Object
  Returns:
    boolean `true` if it does contain it, `false` otherwise

### clearReferences

    public void clearReferences()

  Clears the map

### getReferenceId

    protected short getReferenceId(Object obj)

  Returns the reference id based on the parameter obj

  Parameters:
    `obj` - Object
  Returns:
    short Reference id

Copyright © 2006-2010 The Red5 Project